package com.qmth.distributed.print.business.bean.dto;

import com.qmth.boot.tools.excel.annotation.ExcelColumn;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 主观题结构Dto
 */
public class SubjectiveStructImportDto implements Serializable {

    @ApiModelProperty(value = "课程代码")
    @ExcelColumn(name = "课程代码", index = 1, nullable = true)
    private String courseCode;

    @ApiModelProperty(value = "课程名称")
    @ExcelColumn(name = "课程名称", index = 2, nullable = true)
    private String courseName;

    @ApiModelProperty(value = "试卷编号")
    @ExcelColumn(name = "试卷编号", index = 3, nullable = true)
    private String paperNumber;

    @ApiModelProperty(value = "大题名称")
    @ExcelColumn(name = "大题名称", index = 4, nullable = true)
    private String mainTitle;

    @ApiModelProperty(value = "大题号(只能用小写数字)")
    @ExcelColumn(name = "大题号(只能用小写数字)", index = 5, nullable = true)
    private Integer mainNumber;

    @ApiModelProperty(value = "小题号(只能用小写数字)")
    @ExcelColumn(name = "小题号(只能用小写数字)", index = 6, nullable = true)
    private Integer subNumber;

    @ApiModelProperty(value = "小题满分")
    @ExcelColumn(name = "小题满分", index = 7, nullable = true)
    private Double totalScore;

    @ApiModelProperty(value = "评卷最小分")
    @ExcelColumn(name = "最小分", index = 8, nullable = true)
    private Double intervalScore;

    @ApiModelProperty(value = "绑定工号（英文逗号分隔）")
    @ExcelColumn(name = "绑定工号（英文逗号分隔）", index = 9, nullable = true)
    private String markerCodes;

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }

    public String getMainTitle() {
        return mainTitle;
    }

    public void setMainTitle(String mainTitle) {
        this.mainTitle = mainTitle;
    }

    public Integer getMainNumber() {
        return mainNumber;
    }

    public void setMainNumber(Integer mainNumber) {
        this.mainNumber = mainNumber;
    }

    public Integer getSubNumber() {
        return subNumber;
    }

    public void setSubNumber(Integer subNumber) {
        this.subNumber = subNumber;
    }

    public Double getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(Double totalScore) {
        this.totalScore = totalScore;
    }

    public Double getIntervalScore() {
        return intervalScore;
    }

    public void setIntervalScore(Double intervalScore) {
        this.intervalScore = intervalScore;
    }

    public String getMarkerCodes() {
        return markerCodes;
    }

    public void setMarkerCodes(String markerCodes) {
        this.markerCodes = markerCodes;
    }

}
