package com.qmth.distributed.print.business.bean.dto.admin;

import com.qmth.teachcloud.common.entity.BasicAttachment;
import io.swagger.annotations.ApiModelProperty;
import org.jetbrains.annotations.NotNull;

import java.io.Serializable;
import java.util.Objects;

/**
 * @Description: 超管设置字体
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2025/3/4
 */
public class SetFontDto implements Serializable, Comparable<SetFontDto> {

    @ApiModelProperty(value = "附件id")
    private String attachmentId;

    @ApiModelProperty(value = "字体名称")
    private String fontName;

    @ApiModelProperty(value = "字体格式")
    private String format;

    @ApiModelProperty(value = "是否选择，false：未启用，true：启用")
    private Boolean choose;

    public SetFontDto() {

    }

    public SetFontDto(String fontName) {
        this.attachmentId = "-1";
        this.fontName = fontName;
        this.format = "null";
        this.choose = false;
    }

    public SetFontDto(BasicAttachment basicAttachment, Boolean choose) {
        this.attachmentId = basicAttachment.getId().toString();
        this.fontName = basicAttachment.getName();
        this.format = basicAttachment.getType();
        this.choose = choose;
    }

    public String getAttachmentId() {
        return attachmentId;
    }

    public void setAttachmentId(String attachmentId) {
        this.attachmentId = attachmentId;
    }

    public String getFontName() {
        return fontName;
    }

    public void setFontName(String fontName) {
        this.fontName = fontName;
    }

    public String getFormat() {
        return format;
    }

    public void setFormat(String format) {
        this.format = format;
    }

    public Boolean getChoose() {
        return choose;
    }

    public void setChoose(Boolean choose) {
        this.choose = choose;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        SetFontDto that = (SetFontDto) o;
        return attachmentId.equals(that.attachmentId) && fontName.equals(that.fontName) && format.equals(that.format);
    }

    @Override
    public int hashCode() {
        return Objects.hash(attachmentId, fontName, format);
    }

    @Override
    public int compareTo(@NotNull SetFontDto o) {
        Long l1 = Long.parseLong(o.getAttachmentId());
        Long l2 = Long.parseLong(this.getAttachmentId());
        if (l1.longValue() < l2.longValue()) {
            return 1;
        } else if (l1.longValue() > l2.longValue()) {
            return -1;
        } else {
            return 0;
        }
    }
}

