package com.qmth.distributed.print.business.bean.dto.excel;

import com.qmth.boot.tools.excel.annotation.ExcelColumn;
import com.qmth.teachcloud.common.annotation.ExcelImportTempleteVaild;
import com.qmth.teachcloud.common.annotation.excelStyle.ExcelHeaderStyle;

import java.io.Serializable;
import java.util.Objects;

/**
 * @Description: 任课老师导入
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2025/2/28
 */
@ExcelHeaderStyle
@ExcelImportTempleteVaild(value = true)
public class TeacherImportDto implements Serializable {

    @ExcelColumn(name = "课程代码", index = 0, nullable = true)
    private String courseCode;

    @ExcelColumn(name = "课程名称", index = 1, nullable = true)
    private String courseName;

    @ExcelColumn(name = "开课学院", index = 2, nullable = true)
    private String teachingRoomName;

    @ExcelColumn(name = "任课老师工号", index = 3, nullable = true)
    private String teacherCode;

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getTeachingRoomName() {
        return teachingRoomName;
    }

    public void setTeachingRoomName(String teachingRoomName) {
        this.teachingRoomName = teachingRoomName;
    }

    public String getTeacherCode() {
        return teacherCode;
    }

    public void setTeacherCode(String teacherCode) {
        this.teacherCode = teacherCode;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        TeacherImportDto that = (TeacherImportDto) o;
        return courseCode.equals(that.courseCode) && courseName.equals(that.courseName) && teachingRoomName.equals(that.teachingRoomName) && teacherCode.equals(that.teacherCode);
    }

    @Override
    public int hashCode() {
        return Objects.hash(courseCode, courseName, teachingRoomName, teacherCode);
    }
}