package com.qmth.distributed.print.business.bean.dto.initMarkData;

import com.qmth.distributed.print.business.entity.ExamCardModelFour;
import com.qmth.teachcloud.common.contant.SystemConstant;
import com.qmth.teachcloud.mark.entity.MarkPaper;
import org.yaml.snakeyaml.error.Mark;

/**
 * 课程同步阅卷数据dto
 */
public class ExamDetailCourseInitMarkDto {

    private Long schoolId;
    private Long semesterId;
    private Long examId;
    private Long courseId;
    private String paperNumber;
    private String coursePaperId;
    private Integer serialNumber;
    private String paperType;
    private Boolean openAb;
    private Long createId;
    private String packageCode;

    public ExamDetailCourseInitMarkDto() {

    }

    public ExamDetailCourseInitMarkDto(ExamCardModelFour examCardModelFour, MarkPaper markPaper, Long userId) {
        this.schoolId = examCardModelFour.getSchoolId();
        this.examId = examCardModelFour.getExamId();
        this.courseId = examCardModelFour.getCourseId();
        this.paperNumber = markPaper.getPaperNumber();
        this.coursePaperId = markPaper.getCoursePaperId();
        this.serialNumber = 1;
        this.paperType = SystemConstant.DEFAULT_PAPER_TYPE_A;
        this.openAb = false;
        this.createId = userId;
    }

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public Long getSemesterId() {
        return semesterId;
    }

    public void setSemesterId(Long semesterId) {
        this.semesterId = semesterId;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Long getCourseId() {
        return courseId;
    }

    public void setCourseId(Long courseId) {
        this.courseId = courseId;
    }

    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }

    public String getCoursePaperId() {
        return coursePaperId;
    }

    public void setCoursePaperId(String coursePaperId) {
        this.coursePaperId = coursePaperId;
    }

    public Integer getSerialNumber() {
        return serialNumber;
    }

    public void setSerialNumber(Integer serialNumber) {
        this.serialNumber = serialNumber;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

    public Boolean getOpenAb() {
        return openAb;
    }

    public void setOpenAb(Boolean openAb) {
        this.openAb = openAb;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public String getPackageCode() {
        return packageCode;
    }

    public void setPackageCode(String packageCode) {
        this.packageCode = packageCode;
    }
}
