package com.qmth.distributed.print.business.bean.dto.pdf;

import com.alibaba.fastjson.JSON;
import com.baomidou.mybatisplus.annotation.TableField;
import com.qmth.teachcloud.common.bean.examRule.CodeNameEnableValue;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.collections4.CollectionUtils;
import org.apache.commons.lang3.StringUtils;

import java.util.ArrayList;
import java.util.List;

public class ExamStudentInfo {

    @ApiModelProperty("考务学生ID")
    private Long examStudentId;
    @ApiModelProperty("考生ID")
    private Long basicStudentId;
    @ApiModelProperty("试卷类型")
    private String paperType;
    @ApiModelProperty("学号")
    private String studentCode;
    @ApiModelProperty("姓名")
    private String studentName;
    @ApiModelProperty("课程代码")
    private String courseCode;
    @ApiModelProperty("课程名称")
    private String courseName;
    @ApiModelProperty("座位号")
    private String siteNumber;
    @ApiModelProperty("试卷编号")
    private String paperNumber;
    @ApiModelProperty("考试日期")
    private String examDate;
    @ApiModelProperty("考试时间")
    private String examTime;
    @ApiModelProperty("考点")
    private String examPlace;
    @ApiModelProperty("考场")
    private String examRoom;
    @ApiModelProperty("学院")
    private String collegeName;
    @ApiModelProperty("专业")
    private String majorName;
    @ApiModelProperty("教学班")
    private String teachClassName;
    @ApiModelProperty("行政班")
    private String className;
    @ApiModelProperty("任课老师工号")
    private String teacherCode;
    @ApiModelProperty("任课老师姓名")
    private String teacherName;
    @ApiModelProperty("开课学院")
    private String teachingRoomName;
    @ApiModelProperty("考生题卡ID")
    private Long attachmentId;
    @ApiModelProperty("基础字段")
    private String requiredFields;
    @ApiModelProperty("扩展字段")
    private String extendFields;
    @ApiModelProperty("所有字段集合")
    @TableField(exist = false)
    private List<CodeNameEnableValue> fieldList;

    public Long getExamStudentId() {
        return examStudentId;
    }

    public void setExamStudentId(Long examStudentId) {
        this.examStudentId = examStudentId;
    }

    public Long getBasicStudentId() {
        return basicStudentId;
    }

    public void setBasicStudentId(Long basicStudentId) {
        this.basicStudentId = basicStudentId;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getSiteNumber() {
        return siteNumber;
    }

    public void setSiteNumber(String siteNumber) {
        this.siteNumber = siteNumber;
    }

    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }

    public String getExamDate() {
        return examDate;
    }

    public void setExamDate(String examDate) {
        this.examDate = examDate;
    }

    public String getExamTime() {
        return examTime;
    }

    public void setExamTime(String examTime) {
        this.examTime = examTime;
    }

    public String getExamPlace() {
        return examPlace;
    }

    public void setExamPlace(String examPlace) {
        this.examPlace = examPlace;
    }

    public String getExamRoom() {
        return examRoom;
    }

    public void setExamRoom(String examRoom) {
        this.examRoom = examRoom;
    }

    public String getCollegeName() {
        return collegeName;
    }

    public void setCollegeName(String collegeName) {
        this.collegeName = collegeName;
    }

    public String getMajorName() {
        return majorName;
    }

    public void setMajorName(String majorName) {
        this.majorName = majorName;
    }

    public String getTeachClassName() {
        return teachClassName;
    }

    public void setTeachClassName(String teachClassName) {
        this.teachClassName = teachClassName;
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className;
    }

    public String getTeacherCode() {
        return teacherCode;
    }

    public void setTeacherCode(String teacherCode) {
        this.teacherCode = teacherCode;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public String getTeachingRoomName() {
        return teachingRoomName;
    }

    public void setTeachingRoomName(String teachingRoomName) {
        this.teachingRoomName = teachingRoomName;
    }

    public Long getAttachmentId() {
        return attachmentId;
    }

    public void setAttachmentId(Long attachmentId) {
        this.attachmentId = attachmentId;
    }

    public String getRequiredFields() {
        return requiredFields;
    }

    public void setRequiredFields(String requiredFields) {
        this.requiredFields = requiredFields;
    }

    public String getExtendFields() {
        return extendFields;
    }

    public void setExtendFields(String extendFields) {
        this.extendFields = extendFields;
    }

    public List<CodeNameEnableValue> getFieldList() {
        List<CodeNameEnableValue> fieldList = new ArrayList<>();
        if (StringUtils.isNotBlank(requiredFields)) {
            CollectionUtils.addAll(fieldList, JSON.parseArray(requiredFields, CodeNameEnableValue.class));
        }
        if (StringUtils.isNotBlank(extendFields)) {
            CollectionUtils.addAll(fieldList, JSON.parseArray(extendFields, CodeNameEnableValue.class));
        }
        return fieldList;
    }

    public void setFieldList(List<CodeNameEnableValue> fieldList) {
        this.fieldList = fieldList;
    }
}
