package com.qmth.distributed.print.business.bean.params;

import com.qmth.distributed.print.business.enums.CardTypeEnum;
import com.qmth.distributed.print.business.enums.ExamCardStatusEnum;
import com.qmth.distributed.print.business.enums.MakeMethodEnum;
import com.qmth.teachcloud.common.annotation.EditKey;
import com.qmth.teachcloud.common.enums.CardCreateMethodEnum;
import org.springframework.web.multipart.MultipartFile;

/**
 * 题卡管理（通卡）参数
 */
public class GenericExamCardParams {

    /**
     * exam_card主键ID
     */
    @EditKey
    private Long id;
    private String title;
    private Long courseId;
    private String courseName;
    private MakeMethodEnum makeMethod;
    private CardTypeEnum type;
    private CardCreateMethodEnum createMethod;
    private MultipartFile contentFile;
    private String contentMd5;
    private MultipartFile htmlContentFile;
    private String htmlContentMd5;
    // 上传附件ID
    private Long attachmentId;
    private String remark;
    private Long cardRuleId;
    private ExamCardStatusEnum status;
    private String pageSize;
    private Boolean openAb;

    private Long paperId;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public Long getCourseId() {
        return courseId;
    }

    public void setCourseId(Long courseId) {
        this.courseId = courseId;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public MakeMethodEnum getMakeMethod() {
        return makeMethod;
    }

    public void setMakeMethod(MakeMethodEnum makeMethod) {
        this.makeMethod = makeMethod;
    }

    public CardTypeEnum getType() {
        return type;
    }

    public void setType(CardTypeEnum type) {
        this.type = type;
    }

    public CardCreateMethodEnum getCreateMethod() {
        return createMethod;
    }

    public void setCreateMethod(CardCreateMethodEnum createMethod) {
        this.createMethod = createMethod;
    }

    public MultipartFile getContentFile() {
        return contentFile;
    }

    public void setContentFile(MultipartFile contentFile) {
        this.contentFile = contentFile;
    }

    public String getContentMd5() {
        return contentMd5;
    }

    public void setContentMd5(String contentMd5) {
        this.contentMd5 = contentMd5;
    }

    public MultipartFile getHtmlContentFile() {
        return htmlContentFile;
    }

    public void setHtmlContentFile(MultipartFile htmlContentFile) {
        this.htmlContentFile = htmlContentFile;
    }

    public String getHtmlContentMd5() {
        return htmlContentMd5;
    }

    public void setHtmlContentMd5(String htmlContentMd5) {
        this.htmlContentMd5 = htmlContentMd5;
    }

    public Long getAttachmentId() {
        return attachmentId;
    }

    public void setAttachmentId(Long attachmentId) {
        this.attachmentId = attachmentId;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Long getCardRuleId() {
        return cardRuleId;
    }

    public void setCardRuleId(Long cardRuleId) {
        this.cardRuleId = cardRuleId;
    }

    public ExamCardStatusEnum getStatus() {
        return status;
    }

    public void setStatus(ExamCardStatusEnum status) {
        this.status = status;
    }

    public String getPageSize() {
        return pageSize;
    }

    public void setPageSize(String pageSize) {
        this.pageSize = pageSize;
    }

    public Boolean getOpenAb() {
        return openAb;
    }

    public void setOpenAb(Boolean openAb) {
        this.openAb = openAb;
    }

    public Long getPaperId() {
        return paperId;
    }

    public void setPaperId(Long paperId) {
        this.paperId = paperId;
    }
}
