package com.qmth.distributed.print.business.entity;

import com.qmth.teachcloud.common.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.StringUtils;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

/**
 * <p>
 * 版本管理表
 * </p>
 *
 * @author wangliang
 * @since 2025-02-27
 */
@ApiModel(value = "TBVersion对象", description = "版本管理表")
public class TBVersion extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "服务端版本")
    @NotNull(message = "服务端版本不能为空")
    @Length(min = 1, max = 100, message = "不能超过100字符")
    private String softVersion;

    @ApiModelProperty(value = "客户端版本")
    @NotNull(message = "客户端版本不能为空")
    @Length(min = 1, max = 100, message = "不能超过100字符")
    private String clientVersion;

    public List<String> listSoftVersion() {
        List<String> list = new ArrayList<>();
        if (StringUtils.isNotBlank(this.softVersion)) {
            list = Arrays.asList(this.softVersion.split(","));
        }
        return list;
    }

    public String getSoftVersion() {
        return softVersion;
    }

    public void setSoftVersion(String softVersion) {
        this.softVersion = softVersion;
    }

    public String getClientVersion() {
        return clientVersion;
    }

    public void setClientVersion(String clientVersion) {
        this.clientVersion = clientVersion;
    }
}
