package com.qmth.distributed.print.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.qmth.teachcloud.common.bean.dto.DataPermissionRule;
import com.qmth.teachcloud.common.bean.dto.TSyncDataDto;
import com.qmth.teachcloud.common.entity.BasicExam;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 考试字典表 Mapper 接口
 * </p>
 */
public interface BasicExamMapper extends BaseMapper<BasicExam> {

    /**
     * 考试分页查询
     *
     * @param schoolId 学校id
     * @return 分页结果
     */
    IPage<BasicExam> findBasicExamPage(@Param("objectPage") Page<Object> objectPage, @Param("schoolId") Long schoolId, @Param("semesterId") Long semesterId, @Param("enable") Boolean enable, @Param("dpr") DataPermissionRule dpr);

    List<TSyncDataDto> listSyncData();
}
