package com.qmth.distributed.print.business.mapper;

import com.qmth.distributed.print.business.bean.result.PrintPlanBrief;
import com.qmth.teachcloud.common.bean.dto.DataPermissionRule;
import com.qmth.teachcloud.common.bean.result.DictionaryResult;
import com.qmth.teachcloud.common.entity.BasicCourse;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 查询条件 Mapper 接口
 * </p>
 */
public interface ConditionMapper {

    List<BasicCourse> listCourse(@Param("semesterId") Long semesterId, @Param("examId") Long examId, @Param("enable") Boolean enable, @Param("printPlanIds") List<String> printPlanIds,
                                 @Param("dpr") DataPermissionRule dpr);

    List<String> listPaperNumber(@Param("semesterId") Long semesterId, @Param("examId") Long examId, @Param("courseId") Long courseId, @Param("printPlanIds") List<String> printPlanIds,
                                 @Param("dpr") DataPermissionRule dpr);

    List<BasicCourse> listCourseForApply(@Param("examId") Long examId, @Param("openCollegeId") Long openCollegeId, @Param("userId") Long userId);

    List<BasicCourse> listCourseForAudit(@Param("semesterId") Long semesterId, @Param("examId") Long examId, @Param("openCollegeId") Long openCollegeId, @Param("enable") Boolean enable);

    List<String> listPaperNumberForApply(@Param("examId") Long examId, @Param("openCollegeId") Long openCollegeId, @Param("courseId") Long courseId, @Param("userId") Long userId);

    List<String> listPaperNumberAudit(@Param("semesterId") Long semesterId, @Param("examId") Long examId, @Param("openCollegeId") Long openCollegeId, @Param("courseId") Long courseId);

    List<PrintPlanBrief> listPrintPlan(@Param("semesterId") Long semesterId, @Param("examId") Long examId, @Param("dpr") DataPermissionRule dpr);

    List<BasicCourse> listCourseForScore(@Param("semesterId") Long semesterId, @Param("examId") Long examId, @Param("openCollegeId") Long openCollegeId, @Param("status") String status,
                                         @Param("dpr") DataPermissionRule dpr);

    List<PrintPlanBrief> listPrintPlanForClient(@Param("semesterId") Long semesterId, @Param("examId") Long examId, @Param("examDetailStatus") String[] examDetailStatus);

    List<BasicCourse> listCourseForPlanTask(@Param("schoolId") Long schoolId, @Param("semesterId") Long semesterId, @Param("examId") Long examId, @Param("printPlanIds") List<String> printPlanIds, @Param("dpr") DataPermissionRule dpr);

    List<String> listPaperNumberPlanTask(@Param("semesterId") Long semesterId, @Param("examId") Long examId, @Param("printPlanIds") List<String> printPlanIds, @Param("courseId") Long courseId,
                                         @Param("dpr") DataPermissionRule dpr);

    List<BasicCourse> listCourseForEntrance(@Param("examId") Long examId, @Param("openCollegeId") Long openCollegeId, @Param("userId") Long userId, @Param("status") String status);

    List<String> listPaperNumberForEntrance(@Param("examId") Long examId, @Param("openCollegeId") Long openCollegeId, @Param("userId") Long userId, @Param("courseId") Long courseId, @Param("status") String status);

    List<BasicCourse> listCourseFromMarkPaper(@Param("examId") Long examId, @Param("openCollegeId") Long openCollegeId,
                                              @Param("dpr") DataPermissionRule dpr);

    List<String> listPaperNumberFromMarkPaper(@Param("examId") Long examId, @Param("openCollegeId") Long openCollegeId, @Param("courseId") Long courseId, @Param("dpr") DataPermissionRule dpr);

    List<BasicCourse> listCourseFromExamTaskByCreateId(@Param("schoolId") Long schoolId, @Param("examId") Long examId, @Param("openCollegeId") Long openCollegeId, @Param("dpr") DataPermissionRule dpr);

    List<BasicCourse> listCourseFromExamTaskByUserId(@Param("examId") Long examId, @Param("dpr") DataPermissionRule dpr);

    List<String> listPaperNumberFromExamTaskByCreateId(@Param("examId") Long examId, @Param("openCollegeId") Long openCollegeId, @Param("courseId") Long courseId, @Param("dpr") DataPermissionRule dpr);

    List<String> listPaperNumberFromExamTaskByUserIdAndPass(@Param("examId") Long examId, @Param("courseId") Long courseId, @Param("dpr") DataPermissionRule dpr);

    List<BasicCourse> listCourseForQuery(@Param("schoolId") Long schoolId, @Param("examId") Long examId, @Param("openCollegeId") Long openCollegeId, @Param("dpr") DataPermissionRule dpr);

    List<String> listPaperNumberForQuery(@Param("examId") Long examId, @Param("openCollegeId") Long openCollegeId, @Param("courseId") Long courseId, @Param("dpr") DataPermissionRule dpr);

    List<BasicCourse> listCourseForApproveHistory(@Param("semesterId") Long semesterId, @Param("examId") Long examId, @Param("dpr") DataPermissionRule dpr);

    List<String> listPaperNumberForApproveHistory(@Param("semesterId") Long semesterId, @Param("examId") Long examId, @Param("courseId") Long courseId, @Param("dpr") DataPermissionRule dpr);

    List<String> listPaperNumberForScore(@Param("semesterId") Long semesterId, @Param("examId") Long examId, @Param("status") String status, @Param("dpr") DataPermissionRule dpr);

    List<DictionaryResult> listOutlineSemester(@Param("schoolId") Long schoolId, @Param("professionalId") Long professionalId, @Param("cultureProgramId") Long cultureProgramId,
                                               @Param("dpr") DataPermissionRule dpr);

    List<BasicCourse> listCultureProgramCourse(@Param("schoolId") Long schoolId, @Param("professionalId") Long professionalId, @Param("cultureProgramId") Long cultureProgramId,
                                               @Param("semesterId") Long semesterId, @Param("dpr") DataPermissionRule dpr);

    List<BasicCourse> listCourseForDocument(@Param("examId") Long examId, @Param("openCollegeId") Long openCollegeId, @Param("dpr") DataPermissionRule dpr);

    List<BasicCourse> listCourseForBasicExamStudent(@Param("examId") Long examId, @Param("openCollegeId") Long openCollegeId, @Param("dpr") DataPermissionRule dpr);

    List<String> listPaperNumberFromBasicExamStudent(@Param("examId") Long examId, @Param("openCollegeId") Long openCollegeId, @Param("courseId") Long courseId, @Param("dpr") DataPermissionRule dpr);

    List<BasicCourse> listCourseForPrintCount(@Param("examId") Long examId, @Param("openCollegeId") Long openCollegeId,
                                              @Param("dpr") DataPermissionRule dpr);

    List<BasicCourse> listCourseForScanCount(@Param("examId") Long examId, @Param("openCollegeId") Long openCollegeId, @Param("dpr") DataPermissionRule dpr);

    List<String> listPaperNumberForPrintCount(@Param("examId") Long examId, @Param("courseId") Long courseId, @Param("dpr") DataPermissionRule dpr);

    List<String> listPaperNumberForScanCount(@Param("examId") Long examId, @Param("courseId") Long courseId, @Param("dpr") DataPermissionRule dpr);

    /**
     * 分析批次管理查询课程
     *
     * @param examId    考试id
     * @param collegeId 开课学院id
     * @param dpr       数据权限
     * @return 课程
     */
    List<BasicCourse> listCourseForGradeBatchPaper(@Param("examId") Long examId, @Param("collegeId") Long collegeId, @Param("dpr") DataPermissionRule dpr);

    List<BasicCourse> listCourseForExamDetail(@Param("semesterId") Long semesterId, @Param("examId") Long examId, @Param("printPlanIds") List<String> printPlanIds, @Param("dpr") DataPermissionRule dpr);

    List<String> listPaperNumberForExamDetail(@Param("semesterId") Long semesterId, @Param("examId") Long examId, @Param("printPlanIds") List<String> printPlanIds, @Param("courseId") Long courseId,
                                              @Param("dpr") DataPermissionRule dpr);

    List<BasicCourse> listCourseForMarkPaper(@Param("schoolId") Long schoolId, @Param("examId") Long examId, @Param("dpr") DataPermissionRule dpr);

    List<String> listPaperNumberForCardModelFour(@Param("examId") Long examId, @Param("courseId") Long courseId, @Param("dpr") DataPermissionRule dpr);
}
