package com.qmth.distributed.print.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.qmth.distributed.print.business.entity.ExamCardModelFour;
import com.qmth.teachcloud.common.bean.dto.DataPermissionRule;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
 * <p>
 * 模式4题卡 Mapper 接口
 * </p>
 *
 * @author wangliang
 * @since 2025-03-06
 */
public interface ExamCardModelFourMapper extends BaseMapper<ExamCardModelFour> {

    /**
     * 模式4答题卡列表（分页）
     *
     * @param iPage
     * @param schoolId
     * @param semesterId
     * @param examId
     * @param courseId
     * @param openCollegeId
     * @param title
     * @param paperNumber
     * @param dpr
     * @return
     */
    IPage<ExamCardModelFour> listPage(IPage<Map> iPage, @Param("schoolId") Long schoolId, @Param("semesterId") Long semesterId, @Param("examId") Long examId, @Param("courseId") Long courseId, @Param("openCollegeId") Long openCollegeId, @Param("title") String title, @Param("paperNumber") String paperNumber, @Param("dpr") DataPermissionRule dpr);

    /**
     * 根据id countCardNumber
     *
     * @param id
     * @return
     */
    int countByCardNumber(@Param("id") Long id);
}
