package com.qmth.distributed.print.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.teachcloud.common.bean.dto.TSyncDataDto;
import com.qmth.teachcloud.common.entity.BasicExam;
import com.qmth.teachcloud.common.enums.ExamModelEnum;

import java.util.List;

/**
 * <p>
 * 考试表 服务类
 * </p>
 */
public interface BasicExamService extends IService<BasicExam> {

    /**
     * 考试编辑
     *
     * @param basicExam 编辑参数
     * @return 编辑后该学期id
     */
    BasicExam saveBasicExam(BasicExam basicExam) throws IllegalAccessException;

    /**
     * 考试删除
     *
     * @param id 考试主键
     * @return 是否删除成功
     */
    boolean deleteBasicExamById(Long id);

    /**
     * 查询学期
     *
     * @param semesterId 学期ID
     * @param examModels 需要查询的模式集合
     */
    List<BasicExam> query(Long semesterId, List<ExamModelEnum> examModels);

    /**
     * 分页查询
     *
     * @param semesterId 学期ID
     * @param enable     是否启用
     * @param pageNumber 分页参数
     * @param pageSize   分页参数
     */
    IPage<BasicExam> basicExamPage(Long semesterId, Boolean enable, Integer pageNumber, Integer pageSize);

    /**
     * 启用/禁用
     */
    boolean enable(Long id, Boolean enable);


    List<TSyncDataDto> listSyncData();
}
