package com.qmth.distributed.print.business.service;

import com.qmth.distributed.print.business.bean.result.BasicTeachClazzResult;
import com.qmth.distributed.print.business.bean.result.PrintPlanBrief;
import com.qmth.teachcloud.common.bean.result.DictionaryResult;
import com.qmth.teachcloud.common.entity.BasicCourse;
import com.qmth.teachcloud.common.entity.BasicExam;
import com.qmth.teachcloud.common.entity.BasicSemester;
import com.qmth.teachcloud.common.entity.SysOrg;
import com.qmth.teachcloud.common.enums.ExamCategoryEnum;
import com.qmth.teachcloud.common.enums.ExamModelEnum;

import java.util.List;

/**
 * <p>
 * 查询条件 服务类
 * </p>
 */
public interface ConditionService {

    List<BasicSemester> listSemester(Boolean enable);

    List<BasicExam> listExam(Long semesterId, ExamCategoryEnum category, Boolean enable, ExamModelEnum model);

    List<BasicCourse> listCourse(Long semesterId, Long examId, Boolean enable, List<String> printPlanId, Long openCollegeId);

    List<String> listPaperNumber(Long semesterId, Long examId, Long openCollegeId, Long courseId, List<String> printPlanId);

    List<PrintPlanBrief> listPrintPlan(Long semesterId, Long examId, String source);

    List<SysOrg> listCollege();

    List<BasicTeachClazzResult> listBasicTeachClazz(Long examId, String courseCode, String clazzName);

    List<DictionaryResult> listOutlineSemester(Long professionalId, Long cultureProgramId);

    List<BasicCourse> listCultureProgramCourse(Long professionalId, Long cultureProgramId, Long semesterId);
}
