package com.qmth.distributed.print.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.distributed.print.business.bean.params.GenericExamCardModelFourParams;
import com.qmth.distributed.print.business.entity.ExamCardModelFour;
import com.qmth.teachcloud.mark.entity.MarkPaper;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 模式4题卡 服务类
 * </p>
 *
 * @author wangliang
 * @since 2025-03-06
 */
public interface ExamCardModelFourService extends IService<ExamCardModelFour> {

    /**
     * 新增/修改模式4题卡
     *
     * @param params
     * @return
     * @throws Exception
     */
    Map<String, String> saveGeneric(GenericExamCardModelFourParams params) throws Exception;

    /**
     * 创建jpg图片
     *
     * @param examCardModelFour
     * @return
     */
    ExamCardModelFour createJpgImage(ExamCardModelFour examCardModelFour);

    /**
     * 模式4答题卡列表（分页）
     *
     * @param iPage
     * @param semesterId
     * @param examId
     * @param courseId
     * @param paperNumber
     * @param openCollegeId
     * @param title
     * @return
     */
    IPage<ExamCardModelFour> listPage(IPage<Map> iPage, Long semesterId, Long examId, Long courseId, String paperNumber, Long openCollegeId, String title);

    /**
     * 根据id获取模式4题卡
     *
     * @param id
     * @return
     */
    ExamCardModelFour getOne(Long id);

    /**
     * 根据题卡id删除
     *
     * @param id
     * @return
     */
    Boolean deleteGeneric(Long id);

    /**
     * 根据题卡id生成图片
     *
     * @param id
     */
    void convertImage(Long id);

    /**
     * 导出题卡文件
     *
     * @param id
     */
    void downloadCard(Long id);

    /**
     * 批量导出题卡文件
     *
     * @param ids
     */
    void batchDownloadCard(List<Long> ids);

    ExamCardModelFour getByExamIdAndCourseId(Long examId, Long courseId);

    void validCourse(GenericExamCardModelFourParams params);

    void saveQuestionAndAnswerCard(ExamCardModelFour examCardModelFour, MarkPaper markPaper, Long userId);

    void createJpgImageSync(Long id);
}
