package com.qmth.distributed.print.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.distributed.print.business.bean.dto.ExamStudentCourseDto;
import com.qmth.distributed.print.business.bean.dto.ExamStudentDto;
import com.qmth.distributed.print.business.bean.dto.pdf.ExamStudentInfo;
import com.qmth.distributed.print.business.entity.ExamStudent;
import com.qmth.distributed.print.business.entity.ExamTask;
import com.qmth.teachcloud.common.entity.SysUser;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 考生 服务类
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
public interface ExamStudentService extends IService<ExamStudent> {

    List<String> listPaperTypeByExamDetailCourseId(String examDetailCourseId);

    Map<String, Object> getStudentDetail(Long id);

    void removeByExamDetailCourseId(Long id);

    List<ExamStudent> listByExamDetailCourseIdNotIntMarkStudent(Long examDetailCourseId);

    List<ExamStudent> listByExamDetailCourseId(Long examDetailCourseId);

    List<ExamStudent> saveStudentForExamApply(ExamTask examTask, String extendFields, List<Long> examTaskStudentObjectParamList, Long examDetailCourseId, SysUser sysUser);

    List<ExamStudentInfo> listStudentByExamDetailCourseId(Long schoolId, Long examDetailCourseId);

    void updateAttachmentIdById(ExamStudentInfo t);

    int countByExamIdAndPaperNumberAndStudentCode(Long examId, String paperNumber, String studentCode);

    void deleteByBasicStudentId(List<Long> basicExamStudentIds);

    List<ExamStudent> listByBasicStudentId(List<Long> basicExamStudentIds);

    int countByExamDetailCourseId(Long examDetailCourseId);

    int countByExamIdAndPaperNumber(Long examId, String paperNumber);
}
