package com.qmth.distributed.print.api.admin;

import com.qmth.boot.api.annotation.Aac;
import com.qmth.boot.api.constant.ApiConstant;
import com.qmth.teachcloud.common.contant.SystemConstant;
import com.qmth.teachcloud.common.enums.ClientUpgradeToolTypeEnum;
import com.qmth.teachcloud.common.service.SysToolsService;
import com.qmth.teachcloud.common.util.Result;
import com.qmth.teachcloud.common.util.ResultUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import javax.annotation.Resource;

/**
 * 工具管理 前端控制器
 */
@Api(tags = "超管-工具管理Controller")
@RestController
@RequestMapping(ApiConstant.DEFAULT_URI_PREFIX + SystemConstant.PREFIX_URL_SYS + "/tools")
@Aac(auth = false)
public class SysToolsController {

    @Resource
    private SysToolsService sysToolsService;

    @ApiOperation(value = "上传")
    @RequestMapping(value = "/upload", method = RequestMethod.POST)
    public Result upload(@ApiParam(value = "上传文件", required = true) @RequestParam(value = "file") MultipartFile file,
                        @ApiParam(value = "文件MD5", required = true) @RequestParam(value = "md5") String md5,
                        @ApiParam(value = "工具类型", required = true) @RequestParam(value = "type", defaultValue = "PICTURE_DOWNLOAD") ClientUpgradeToolTypeEnum type) {
        sysToolsService.upload(file, md5, type);
        return ResultUtil.ok(true);
    }

    @ApiOperation(value = "访问链接")
    @RequestMapping(value = "/external", method = RequestMethod.POST)
    public Result external(@ApiParam(value = "工具类型", required = true) @RequestParam(value = "type") ClientUpgradeToolTypeEnum type) {
        return ResultUtil.ok(sysToolsService.getExternalByType(type));
    }

}

