package com.qmth.distributed.print.api.mark;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.qmth.boot.api.constant.ApiConstant;
import com.qmth.teachcloud.common.contant.SystemConstant;
import com.qmth.teachcloud.common.util.Result;
import com.qmth.teachcloud.common.util.ResultUtil;
import com.qmth.teachcloud.mark.dto.mark.manage.*;
import com.qmth.teachcloud.mark.params.MarkResult;
import com.qmth.teachcloud.mark.service.MarkArbitrateHistoryService;
import com.qmth.teachcloud.mark.service.MarkRejectHistoryService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import java.util.List;

/**
 * <p>
 * 打回记录表 前端控制器
 * </p>
 *
 * @author xf
 * @since 2024-08-22
 */
@Api(tags = "评卷-打回历史")
@RestController
@RequestMapping(ApiConstant.DEFAULT_URI_PREFIX + SystemConstant.PREFIX_URL_MARK + "/reject")
public class MarkRejectController {

    @Resource
    private MarkRejectHistoryService markRejectHistoryService;

    /**
     * 仲裁列表查询
     */
    @ApiOperation(value = "打回历史列表")
    @RequestMapping(value = "/list", method = RequestMethod.POST)
    public Result list(@ApiParam(value = "考试ID", required = true) @RequestParam Long examId,
                       @ApiParam(value = "试卷编号", required = true) @RequestParam String paperNumber,
                       @ApiParam(value = "题目ID") @RequestParam(required = false) Long questionId,
                       @ApiParam(value = "教学班") @RequestParam(required = false) String teachClassName,
                       @ApiParam(value = "评卷员") @RequestParam(required = false) String loginName,
                       @ApiParam(value = "学号") @RequestParam(required = false) String studentCode,
                       @ApiParam(value = "密号") @RequestParam(required = false) String secretNumber,
                       @RequestParam @Min(SystemConstant.PAGE_NUMBER_MIN) Integer pageNumber,
                       @RequestParam @Min(SystemConstant.PAGE_SIZE_MIN) @Max(SystemConstant.PAGE_SIZE_MAX) Integer pageSize) {
        IPage<MarkRejectHistoryDto> rejectHistoryDtoIPage = markRejectHistoryService.pageRejectHistory(examId, paperNumber, questionId, loginName, studentCode, secretNumber, teachClassName, pageNumber, pageSize);
        return ResultUtil.ok(rejectHistoryDtoIPage);
    }

}
