package com.qmth.distributed.print;

import com.itextpdf.text.BadElementException;
import com.itextpdf.text.Image;
import com.qmth.distributed.print.business.util.GoogleBarCodeUtil;
import com.qmth.distributed.print.business.util.PdfUtil;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.io.File;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

/**
 * pdf加条码水印
 */
public class AddWaterTest {
    private final static Logger log = LoggerFactory.getLogger(AddWaterTest.class);

    public static void main(String[] args) {
        String content = "123456701";
        byte[] barCode = GoogleBarCodeUtil.createBarCode(content);
        try {
            Image image = Image.getInstance(barCode);
            PdfUtil.addPaperWaterMark(new File("/Users/xiaofei/qmth/test/add-water/1-1.pdf"), image, content, 1f, 12, 0);
        } catch (BadElementException e) {
            throw new RuntimeException(e);
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
    }

}
