package com.qmth.distributed.print;

import com.alibaba.fastjson.JSON;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.qmth.distributed.print.business.bean.dto.ExamTaskDetailCardDto;
import com.qmth.distributed.print.business.entity.ExamCard;
import com.qmth.distributed.print.business.service.ExamCardService;
import com.qmth.teachcloud.common.bean.dto.mark.PictureConfig;
import com.qmth.teachcloud.common.contant.SystemConstant;
import com.qmth.teachcloud.common.entity.MarkQuestion;
import com.qmth.teachcloud.common.entity.SysPrivilege;
import com.qmth.teachcloud.common.entity.SysRolePrivilege;
import com.qmth.teachcloud.common.entity.SysUserRole;
import com.qmth.teachcloud.common.enums.PrivilegeEnum;
import com.qmth.teachcloud.common.service.*;
import com.qmth.teachcloud.mark.bean.vo.parseCard.pic.SubPictureConfig;
import com.qmth.teachcloud.mark.service.MarkQuestionService;
import com.qmth.teachcloud.mark.utils.CardParseUtils;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * 题卡解析
 */
@SpringBootTest
@RunWith(SpringRunner.class)
public class CardParseTest {
    @Resource
    ExamCardService examCardService;
    @Resource
    MarkQuestionService markQuestionService;

    @Test
    public void createUserPrivilege() {
        ExamCard examCard = examCardService.getById(627827065457999872l);
        List<MarkQuestion> markQuestionList = markQuestionService.listByExamIdAndPaperNumberAndObjective(614848680674983936l, "2025022700001", false);
        List<SubPictureConfig> pictureConfigs = CardParseUtils.parseCardPic(examCard.getContent(), markQuestionList);
        System.out.println(JSON.toJSONString(pictureConfigs));
    }
}
