package com.qmth.teachcloud.common.bean.sync;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 数据同步考生
 * </p>
 *
 * @author xf
 * @since 2024-12-10
 */
@TableName("t_sync_data_student")
@ApiModel(value="TSyncDataStudent对象", description="数据同步考生")
public class TSyncDataStudent implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
    private Long id;

    @ApiModelProperty(value = "学校id")
    private Long schoolId;

    @ApiModelProperty(value = "考试id")
    private Long examId;

    @ApiModelProperty(value = "课程编号")
    private String courseCode;

    @ApiModelProperty(value = "课程名称")
    private String courseName;

    @ApiModelProperty(value = "课程开课学院")
    private String courseCollegeName;

    @ApiModelProperty(value = "试卷编号")
    private String paperNumber;

    @ApiModelProperty(value = "姓名")
    private String studentName;

    @ApiModelProperty(value = "学号")
    private String studentCode;

    @ApiModelProperty(value = "座位号")
    private String siteNumber;

    @ApiModelProperty(value = "学院")
    private String studentCollegeName;

    @ApiModelProperty(value = "专业")
    private String majorName;

    private String teachClassName;

    private String className;

    @ApiModelProperty(value = "考试开始时间")
    private Long examStartTime;

    @ApiModelProperty(value = "考试结束时间")
    private Long examEndTime;

    @ApiModelProperty(value = "考点")
    private String examPlace;

    @ApiModelProperty(value = "考场")
    private String examRoom;

    @ApiModelProperty(value = "命题老师工号")
    private String teacherCode;

    @ApiModelProperty(value = "命题老师姓名")
    private String teacherName;

    @ApiModelProperty(value = "是否已同步到考生表中")
    private Boolean updateStatus;

    @ApiModelProperty(value = "教学班ID")
    private String jxbId;

    @ApiModelProperty(value = "学年名")
    private String xnm;

    @ApiModelProperty(value = "学期名")
    private String xqm;

    @ApiModelProperty(value = "教学班组成")
    private String jxbzc;

    @ApiModelProperty(value = "考试日期")
    private String examDate;
    @ApiModelProperty(value = "考试时间")
    private String examTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }
    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }
    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }
    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }
    public String getCourseCollegeName() {
        return courseCollegeName;
    }

    public void setCourseCollegeName(String courseCollegeName) {
        this.courseCollegeName = courseCollegeName;
    }
    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }
    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }
    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }
    public String getSiteNumber() {
        return siteNumber;
    }

    public void setSiteNumber(String siteNumber) {
        this.siteNumber = siteNumber;
    }
    public String getStudentCollegeName() {
        return studentCollegeName;
    }

    public void setStudentCollegeName(String studentCollegeName) {
        this.studentCollegeName = studentCollegeName;
    }
    public String getMajorName() {
        return majorName;
    }

    public void setMajorName(String majorName) {
        this.majorName = majorName;
    }
    public String getTeachClassName() {
        return teachClassName;
    }

    public void setTeachClassName(String teachClassName) {
        this.teachClassName = teachClassName;
    }
    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className;
    }
    public Long getExamStartTime() {
        return examStartTime;
    }

    public void setExamStartTime(Long examStartTime) {
        this.examStartTime = examStartTime;
    }
    public Long getExamEndTime() {
        return examEndTime;
    }

    public void setExamEndTime(Long examEndTime) {
        this.examEndTime = examEndTime;
    }
    public String getExamPlace() {
        return examPlace;
    }

    public void setExamPlace(String examPlace) {
        this.examPlace = examPlace;
    }
    public String getExamRoom() {
        return examRoom;
    }

    public void setExamRoom(String examRoom) {
        this.examRoom = examRoom;
    }
    public String getTeacherCode() {
        return teacherCode;
    }

    public void setTeacherCode(String teacherCode) {
        this.teacherCode = teacherCode;
    }
    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }
    public Boolean getUpdateStatus() {
        return updateStatus;
    }

    public void setUpdateStatus(Boolean updateStatus) {
        this.updateStatus = updateStatus;
    }

    public String getJxbId() {
        return jxbId;
    }

    public void setJxbId(String jxbId) {
        this.jxbId = jxbId;
    }

    public String getXnm() {
        return xnm;
    }

    public void setXnm(String xnm) {
        this.xnm = xnm;
    }

    public String getXqm() {
        return xqm;
    }

    public void setXqm(String xqm) {
        this.xqm = xqm;
    }

    public String getJxbzc() {
        return jxbzc;
    }

    public void setJxbzc(String jxbzc) {
        this.jxbzc = jxbzc;
    }

    public String getExamDate() {
        return examDate;
    }

    public void setExamDate(String examDate) {
        this.examDate = examDate;
    }

    public String getExamTime() {
        return examTime;
    }

    public void setExamTime(String examTime) {
        this.examTime = examTime;
    }

    @Override
    public String toString() {
        return "TSyncDataStudent{" +
            "id=" + id +
            ", schoolId=" + schoolId +
            ", examId=" + examId +
            ", courseCode=" + courseCode +
            ", courseName=" + courseName +
            ", courseCollegeName=" + courseCollegeName +
            ", paperNumber=" + paperNumber +
            ", studentName=" + studentName +
            ", studentCode=" + studentCode +
            ", siteNumber=" + siteNumber +
            ", studentCollegeName=" + studentCollegeName +
            ", majorName=" + majorName +
            ", teachClassName=" + teachClassName +
            ", className=" + className +
            ", examStartTime=" + examStartTime +
            ", examEndTime=" + examEndTime +
            ", examPlace=" + examPlace +
            ", examRoom=" + examRoom +
            ", teacherCode=" + teacherCode +
            ", teacherName=" + teacherName +
            ", updateStatus=" + updateStatus +
        "}";
    }
}
