package com.qmth.teachcloud.common.bean.sync;

import com.qmth.teachcloud.common.entity.SysUser;
import io.swagger.annotations.ApiModelProperty;

/**
 * 用户数据
 */
public class UserDataVo {

    @ApiModelProperty(value = "教师工号")
    private String code;
    @ApiModelProperty(value = "教师姓名")
    private String name;
    @ApiModelProperty(value = "机构名称（二级学院）")
    private String collegeName;
    @ApiModelProperty(value = "手机号")
    private String phoneNumber;
    @ApiModelProperty(value = "是否启用")
    private Boolean enable;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCollegeName() {
        return collegeName;
    }

    public void setCollegeName(String collegeName) {
        this.collegeName = collegeName;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public Boolean getEnable() {
        return enable;
    }

    public void setEnable(Boolean enable) {
        this.enable = enable;
    }

    public SysUser transferToUser(Long schoolId, UserDataVo userDataVo) {
        SysUser sysUser = new SysUser();
        sysUser.setSchoolId(schoolId);
        sysUser.setLoginName(userDataVo.getCode());
        sysUser.setCode(userDataVo.getCode());
        sysUser.setRealName(userDataVo.getName());
        sysUser.setMobileNumber(userDataVo.getPhoneNumber());
        sysUser.setOrgName(userDataVo.getCollegeName());
        sysUser.setEnable(userDataVo.getEnable());
        return sysUser;
    }
}
