package com.qmth.teachcloud.common.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;

import com.qmth.teachcloud.common.enums.ClientUpgradeToolTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 工具管理
 * </p>
 *
 * @author xf
 * @since 2024-08-19
 */
@TableName("sys_tools")
@ApiModel(value="SysTools对象", description="工具管理")
public class SysTools implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "类型")
    @TableId(value = "type")
    private ClientUpgradeToolTypeEnum type;

    @ApiModelProperty(value = "文件地址信息")
    private String path;

    private Long createId;

    private Long createTime;

    @TableField(exist = false)
    private String url;

    public SysTools() {
    }

    public SysTools(ClientUpgradeToolTypeEnum type) {
        this.type = type;
        this.createTime = System.currentTimeMillis();
    }

    public ClientUpgradeToolTypeEnum getType() {
        return type;
    }

    public void setType(ClientUpgradeToolTypeEnum type) {
        this.type = type;
    }
    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }
    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }
    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    @Override
    public String toString() {
        return "SysTools{" +
            "type=" + type +
            ", path=" + path +
            ", createId=" + createId +
            ", createTime=" + createTime +
        "}";
    }
}
