package com.qmth.teachcloud.common.util;


import com.itextpdf.text.Document;
import com.itextpdf.text.PageSize;
import com.itextpdf.text.Rectangle;
import com.itextpdf.text.pdf.PdfContentByte;
import com.itextpdf.text.pdf.PdfImportedPage;
import com.itextpdf.text.pdf.PdfReader;
import com.itextpdf.text.pdf.PdfWriter;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;

public class PDFConverter {

    public static File pdfA4ToA3(File sourceFile, File pdfFileTempA3) {
        try {
            // 创建A3横向页面尺寸
            Rectangle a3Landscape = PageSize.A3.rotate();
            // 初始化文档和写入器
            Document document = new Document(a3Landscape);
            PdfWriter writer = PdfWriter.getInstance(document, new FileOutputStream(pdfFileTempA3));
            document.open();

            // 读取源PDF
            PdfReader reader = new PdfReader(new FileInputStream(sourceFile));
            // 遍历所有页面
            for (int i = 1; i <= reader.getNumberOfPages(); i++) {
                // 创建新A3页面
                document.newPage();
                // 获取当前页内容
                PdfImportedPage importedPage = writer.getImportedPage(reader, i);
                // 获取画布对象
                PdfContentByte content = writer.getDirectContent();
                // 将A4页面添加到A3左半边（原点在左下角）
                content.addTemplate(importedPage, 0, 0); // 直接放置，不缩放
            }
            // 关闭资源
            document.close();
            reader.close();
            System.out.println("转换完成！");
        } catch (Exception e) {
            e.printStackTrace();
        }

        return pdfFileTempA3;
    }

    public static File pdfA4ToA3Test(String source) {
        String inputPdf = "/Users/xiaofei/111.pdf";
        String outputPdf = "/Users/xiaofei/222.pdf";

        try {
            // 创建A3横向页面尺寸
            Rectangle a3Landscape = PageSize.A3.rotate();

            // 初始化文档和写入器
            Document document = new Document(a3Landscape);
            PdfWriter writer = PdfWriter.getInstance(document, new FileOutputStream(outputPdf));
            document.open();

            // 读取源PDF
            PdfReader reader = new PdfReader(inputPdf);

            // 遍历所有页面
            for (int i = 1; i <= reader.getNumberOfPages(); i++) {
                // 创建新A3页面
                document.newPage();

                // 获取当前页内容
                PdfImportedPage importedPage = writer.getImportedPage(reader, i);

                // 获取画布对象
                PdfContentByte content = writer.getDirectContent();

                // 将A4页面添加到A3左半边（原点在左下角）
                content.addTemplate(importedPage, 0, 0); // 直接放置，不缩放
            }

            // 关闭资源
            document.close();
            reader.close();

            System.out.println("转换完成！");
        } catch (Exception e) {
            e.printStackTrace();
        }

        return null;
    }
}