package com.qmth.teachcloud.data.service.impl;

import com.github.jeffreyning.mybatisplus.service.MppServiceImpl;
import com.qmth.teachcloud.data.entity.TSyncDataLog;
import com.qmth.teachcloud.data.mapper.TSyncDataLogMapper;
import com.qmth.teachcloud.data.service.TSyncDataLogService;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 数据同步日志 服务实现类
 * </p>
 *
 * @author xf
 * @since 2024-12-05
 */
@Service
public class TSyncDataLogServiceImpl extends MppServiceImpl<TSyncDataLogMapper, TSyncDataLog> implements TSyncDataLogService {

    @Override
    public void saveLog(Long schoolId, Long examId, String dataType, long startTime, long endTime, int count, int successCount, String errorMsg) {
        TSyncDataLog tSyncDataLog = new TSyncDataLog();
        tSyncDataLog.setId(System.currentTimeMillis());
        tSyncDataLog.setSchoolId(schoolId);
        tSyncDataLog.setExamId(examId);
        tSyncDataLog.setDataType(dataType);
        tSyncDataLog.setStartTime(startTime);
        tSyncDataLog.setEndTime(endTime);
        tSyncDataLog.setCount(count);
        tSyncDataLog.setSuccessCount(successCount);
        tSyncDataLog.setErrorMsg(errorMsg);
        this.save(tSyncDataLog);
    }
}
