package com.qmth.teachcloud.data.util;

import com.alibaba.druid.pool.DruidDataSource;
import com.alibaba.druid.pool.DruidDataSourceFactory;
import com.qmth.teachcloud.common.enums.ExceptionResultEnum;
import org.springframework.jdbc.core.JdbcTemplate;

import javax.sql.DataSource;
import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.HashMap;
import java.util.Map;

public class JdbcUtil {
    //声明


    //构造方法私有化
    private JdbcUtil() {
    }

    public static JdbcTemplate getJdbcTemplate(DataSource dataSource) {
        try {
            JdbcTemplate jdbcTemplate = null;
            //2)判断是否获取到连接对象
            if (jdbcTemplate == null) {
                //创建jdbc模板对象
                jdbcTemplate = new JdbcTemplate();
                //设置数据源对象
                jdbcTemplate.setDataSource(dataSource);
            }
            return jdbcTemplate;
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
    }

    //获取DataSource数据源信息（连接池的所有参数）
    public static Connection getConnection(DruidDataSource druidDataSource) {
        //1)从当前线程中获取存储的内容
        Connection conn = null;

        try {
            //2)判断是否获取到连接对象
            if (conn == null) {
                //3）从数据源（连接池中）获取Connection
                conn = druidDataSource.getConnection();
            }

        } catch (SQLException e) {
//            e.printStackTrace();
            throw new RuntimeException(e.getMessage());
        }
        return conn;
    }
}
