package com.qmth.teachcloud.mark.dto.mark.manage;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.teachcloud.common.bean.marking.MarkConfigItem;
import com.qmth.teachcloud.mark.dto.mark.SpecialTagDTO;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

public class Task implements Serializable {

    private static final long serialVersionUID = 3309698238297224617L;
    @JsonSerialize(using = ToStringSerializer.class)
    private Long examId;

    /**
     * 考生编号
     */
    @JsonSerialize(using = ToStringSerializer.class)
    private Long studentId;

    /**
     * 显示考生密号
     */
    private String secretNumber;

    /**
     * 考生名称
     */
    private String studentName;

    /**
     * 学号
     */
    private String studentCode;

    private String courseCode;
    private String courseName;

    private String paperNumber;
    private String paperType;

    /**
     * 客观题总分
     */
    private Double objectiveScore;

    /**
     * 题卡原图地址
     */
    private List<String> sheetUrls;
    /**
     * 题卡图片拼接配置
     */
    private List<MarkConfigItem> sliceConfig;

    /**
     * 多媒体地址
     */
    private String jsonUrl;

    /**
     * 评卷题目总分
     */
    private Double markerScore;
    /**
     * 评卷时间
     */
    private Long markerTime;

    /**
     * 给分步骤
     */
    private List<TaskQuestion> questionList;

    /**
     * 仲裁任务ID
     */
    @JsonSerialize(using = ToStringSerializer.class)
    private Long arbitrateId;

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public String getSecretNumber() {
        return secretNumber;
    }

    public void setSecretNumber(String secretNumber) {
        this.secretNumber = secretNumber;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

    public Double getObjectiveScore() {
        return objectiveScore;
    }

    public void setObjectiveScore(Double objectiveScore) {
        this.objectiveScore = objectiveScore;
    }

    public List<String> getSheetUrls() {
        return sheetUrls;
    }

    public void setSheetUrls(List<String> sheetUrls) {
        this.sheetUrls = sheetUrls;
    }

    public List<MarkConfigItem> getSliceConfig() {
        return sliceConfig;
    }

    public void setSliceConfig(List<MarkConfigItem> sliceConfig) {
        this.sliceConfig = sliceConfig;
    }

    public String getJsonUrl() {
        return jsonUrl;
    }

    public void setJsonUrl(String jsonUrl) {
        this.jsonUrl = jsonUrl;
    }

    public Double getMarkerScore() {
        return markerScore;
    }

    public void setMarkerScore(Double markerScore) {
        this.markerScore = markerScore;
    }

    public Long getMarkerTime() {
        return markerTime;
    }

    public void setMarkerTime(Long markerTime) {
        this.markerTime = markerTime;
    }

    public List<TaskQuestion> getQuestionList() {
        return questionList;
    }

    public void setQuestionList(List<TaskQuestion> questionList) {
        this.questionList = questionList;
    }

    public Long getArbitrateId() {
        return arbitrateId;
    }

    public void setArbitrateId(Long arbitrateId) {
        this.arbitrateId = arbitrateId;
    }
}
