package com.qmth.teachcloud.mark.dto.mark.manage;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.teachcloud.common.bean.marking.MarkConfigItem;
import com.qmth.teachcloud.mark.dto.mark.score.SheetUrlDto;
import com.qmth.teachcloud.mark.dto.mark.score.StudentObjectiveAnswerDto;

import java.io.Serializable;
import java.util.List;

public class TaskArchive implements Serializable {

    private static final long serialVersionUID = 3309698238297224617L;
    @JsonSerialize(using = ToStringSerializer.class)
    private Long examId;

    private String paperNumber;

    /**
     * 考生编号
     */
    @JsonSerialize(using = ToStringSerializer.class)
    private Long studentId;

    /**
     * 显示考生密号
     */
    private String secretNumber;

    /**
     * 考生名称
     */
    private String studentName;

    /**
     * 学号
     */
    private String studentCode;
    private String paperType;
    private String courseCode;
    private String courseName;

    /**
     * 客观题总分
     */
    private Double objectiveScore;
    /**
     * 主观题总分
     */
    private Double subjectiveScore;

    /**
     * 题卡原图地址
     */
    private List<SheetUrlDto> sheetUrls;

    /**
     * 主观题信息
     */
    private List<TaskQuestion> subjectiveQuestions;
    /**
     * 客观题信息
     */
    private List<StudentObjectiveAnswerDto> objectiveQuestions;
    /**
     * 题卡卡格式内容
     */
    private String cardContent;

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public String getSecretNumber() {
        return secretNumber;
    }

    public void setSecretNumber(String secretNumber) {
        this.secretNumber = secretNumber;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public Double getObjectiveScore() {
        return objectiveScore;
    }

    public void setObjectiveScore(Double objectiveScore) {
        this.objectiveScore = objectiveScore;
    }

    public Double getSubjectiveScore() {
        return subjectiveScore;
    }

    public void setSubjectiveScore(Double subjectiveScore) {
        this.subjectiveScore = subjectiveScore;
    }

    public List<SheetUrlDto> getSheetUrls() {
        return sheetUrls;
    }

    public void setSheetUrls(List<SheetUrlDto> sheetUrls) {
        this.sheetUrls = sheetUrls;
    }

    public List<TaskQuestion> getSubjectiveQuestions() {
        return subjectiveQuestions;
    }

    public void setSubjectiveQuestions(List<TaskQuestion> subjectiveQuestions) {
        this.subjectiveQuestions = subjectiveQuestions;
    }

    public List<StudentObjectiveAnswerDto> getObjectiveQuestions() {
        return objectiveQuestions;
    }

    public void setObjectiveQuestions(List<StudentObjectiveAnswerDto> objectiveQuestions) {
        this.objectiveQuestions = objectiveQuestions;
    }

    public String getCardContent() {
        return cardContent;
    }

    public void setCardContent(String cardContent) {
        this.cardContent = cardContent;
    }
}
