package com.qmth.teachcloud.mark.dto.mark.mark;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.teachcloud.common.entity.MarkQuestion;
import com.qmth.teachcloud.mark.entity.MarkUserQuestion;

public class MarkStatusDto {
    /**
     * 考生数量
     */
    private int totalCount;
    /**
     * 个人评卷考生数量
     */
    private int personCount;
    /**
     * 未评卷考生数量
     */
    private int leftCount;
    /**
     * 总评卷考生数量
     */
    private int markedCount;
    /**
     * 问题卷题目任务数量
     */
    private int problemCount;
    /**
     * 待仲裁卷题目任务数量
     */
    private int arbitrateCount;
    /**
     * 大题号
     */
    private Integer mainNumber;
    /**
     * 小题号
     */
    private Integer subNumber;
    /**
     * 题目ID
     */
    @JsonSerialize(using = ToStringSerializer.class)
    private Long questionId;
    /**
     * 正在证券的题目ID
     */
    @JsonSerialize(using = ToStringSerializer.class)
    private Long markedQuestionId;

    public MarkStatusDto() {
    }

    public MarkStatusDto(MarkQuestion markQuestion, Long markedQuestionId) {
        this.mainNumber = markQuestion.getMainNumber();
        this.subNumber = markQuestion.getSubNumber();
        this.questionId = markQuestion.getId();
        this.markedQuestionId = markedQuestionId;
    }

    public int getTotalCount() {
        return totalCount;
    }

    public void setTotalCount(int totalCount) {
        this.totalCount = totalCount;
    }

    public int getPersonCount() {
        return personCount;
    }

    public void setPersonCount(int personCount) {
        this.personCount = personCount;
    }

    public int getLeftCount() {
        return leftCount;
    }

    public void setLeftCount(int leftCount) {
        this.leftCount = leftCount;
    }

    public int getMarkedCount() {
        return markedCount;
    }

    public void setMarkedCount(int markedCount) {
        this.markedCount = markedCount;
    }

    public int getProblemCount() {
        return problemCount;
    }

    public void setProblemCount(int problemCount) {
        this.problemCount = problemCount;
    }

    public int getArbitrateCount() {
        return arbitrateCount;
    }

    public void setArbitrateCount(int arbitrateCount) {
        this.arbitrateCount = arbitrateCount;
    }

    public Integer getMainNumber() {
        return mainNumber;
    }

    public void setMainNumber(Integer mainNumber) {
        this.mainNumber = mainNumber;
    }

    public Integer getSubNumber() {
        return subNumber;
    }

    public void setSubNumber(Integer subNumber) {
        this.subNumber = subNumber;
    }

    public Long getQuestionId() {
        return questionId;
    }

    public void setQuestionId(Long questionId) {
        this.questionId = questionId;
    }

    public Long getMarkedQuestionId() {
        return markedQuestionId;
    }

    public void setMarkedQuestionId(Long markedQuestionId) {
        this.markedQuestionId = markedQuestionId;
    }
}
