package com.qmth.teachcloud.mark.entity;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * <p>
 * AI评卷得分明细表
 * </p>
 *
 * @author wangliang
 * @since 2025-04-10
 */
@ApiModel(value = "MarkAiQuestionPoint对象", description = "AI评卷得分明细表")
public class MarkAiQuestionPoint implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    @ApiModelProperty(value = "AI评卷参数id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long aiQuestionId;

    @ApiModelProperty(value = "分值")
    @NotNull(message = "分值不能为空")
    private Double score;

    @ApiModelProperty(value = "标答")
    @NotNull(message = "标答不能为空")
    private String answer;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getAiQuestionId() {
        return aiQuestionId;
    }

    public void setAiQuestionId(Long aiQuestionId) {
        this.aiQuestionId = aiQuestionId;
    }

    public Double getScore() {
        return score;
    }

    public void setScore(Double score) {
        this.score = score;
    }

    public String getAnswer() {
        return answer;
    }

    public void setAnswer(String answer) {
        this.answer = answer;
    }
}
