package com.qmth.teachcloud.mark.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 考生主观题小题OCR识别结果
 * </p>
 *
 * @author xf
 * @since 2025-04-10
 */
@TableName("mark_ocr_student_question")
@ApiModel(value="MarkOcrStudentQuestion对象", description="考生主观题小题OCR识别结果")
public class MarkOcrStudentQuestion implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.INPUT)
    private Long id;

    @ApiModelProperty(value = "考试ID")
    private Long examId;

    @ApiModelProperty(value = "试卷编号")
    private String paperNumber;

    @ApiModelProperty(value = "考生ID")
    private Long studentId;

    @ApiModelProperty(value = "题目ID")
    private Long questionId;

    @ApiModelProperty(value = "图片序号")
    private Integer number;

    @ApiModelProperty(value = "图片md5")
    private String md5;

    @ApiModelProperty(value = "ocr识别内容")
    private String ocrContent;

    @ApiModelProperty(value = "识别时间")
    private Long createTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }
    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }
    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }
    public Long getQuestionId() {
        return questionId;
    }

    public void setQuestionId(Long questionId) {
        this.questionId = questionId;
    }
    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }
    public String getMd5() {
        return md5;
    }

    public void setMd5(String md5) {
        this.md5 = md5;
    }
    public String getOcrContent() {
        return ocrContent;
    }

    public void setOcrContent(String ocrContent) {
        this.ocrContent = ocrContent;
    }
    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }

    @Override
    public String toString() {
        return "MarkOcrStudentQuestion{" +
            "id=" + id +
            ", examId=" + examId +
            ", paperNumber=" + paperNumber +
            ", studentId=" + studentId +
            ", questionId=" + questionId +
            ", number=" + number +
            ", md5=" + md5 +
            ", ocrContent=" + ocrContent +
            ", createTime=" + createTime +
        "}";
    }
}
