package com.qmth.teachcloud.mark.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.teachcloud.common.contant.SystemConstant;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author xf
 * @since 2024-08-22
 */
@TableName("mark_reject_history")
@ApiModel(value="MarkRejectHistory对象", description="")
public class MarkRejectHistory implements Serializable {

    private static final long serialVersionUID = 1L;

    @JsonSerialize(using = ToStringSerializer.class)
    @TableId(value = "id", type = IdType.INPUT)
    private Long id;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "考试ID")
    private Long examId;

    @ApiModelProperty(value = "试卷编号")
    private String paperNumber;

    @ApiModelProperty(value = "题目ID")
    private Long questionId;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "任务ID")
    private Long taskId;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "考生ID")
    private Long studentId;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "考生管理ID")
    private Long basicStudentId;

    @ApiModelProperty(value = "考号")
    private String studentCode;

    @ApiModelProperty(value = "任务密号")
    private String secretNumber;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "评卷用户ID")
    private Long userId;

    @ApiModelProperty(value = "打回原因")
    private String rejectReason;

    @ApiModelProperty(value = "打回后分数列表")
    private String rejectScoreList;

    @ApiModelProperty(value = "打回前分数列表")
    private String markerScoreList;

    @ApiModelProperty(value = "总分")
    private Double markerScore;

    @ApiModelProperty(value = "评卷时间")
    private Long markerTime;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "打回用户ID")
    private Long rejectUserId;

    @ApiModelProperty(value = "打回时间")
    private Long rejectTime;

    public MarkRejectHistory() {
    }

    public MarkRejectHistory(MarkTask markTask) {
        this.id = SystemConstant.getDbUuid();
        this.examId = markTask.getExamId();
        this.paperNumber = markTask.getPaperNumber();
        this.questionId = markTask.getQuestionId();
        this.taskId = markTask.getId();
        this.studentId = markTask.getStudentId();
        this.studentCode = markTask.getStudentCode();
        this.secretNumber = markTask.getSecretNumber();
        this.userId = markTask.getUserId();
        this.markerScore = markTask.getMarkerScore();
        this.markerTime = markTask.getMarkerTime();
        this.rejectTime = System.currentTimeMillis();
    }
    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }
    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }

    public Long getQuestionId() {
        return questionId;
    }

    public void setQuestionId(Long questionId) {
        this.questionId = questionId;
    }

    public Long getTaskId() {
        return taskId;
    }

    public void setTaskId(Long taskId) {
        this.taskId = taskId;
    }
    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public Long getBasicStudentId() {
        return basicStudentId;
    }

    public void setBasicStudentId(Long basicStudentId) {
        this.basicStudentId = basicStudentId;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }
    public String getSecretNumber() {
        return secretNumber;
    }

    public void setSecretNumber(String secretNumber) {
        this.secretNumber = secretNumber;
    }
    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getRejectReason() {
        return rejectReason;
    }

    public void setRejectReason(String rejectReason) {
        this.rejectReason = rejectReason;
    }

    public String getRejectScoreList() {
        return rejectScoreList;
    }

    public void setRejectScoreList(String rejectScoreList) {
        this.rejectScoreList = rejectScoreList;
    }

    public String getMarkerScoreList() {
        return markerScoreList;
    }

    public void setMarkerScoreList(String markerScoreList) {
        this.markerScoreList = markerScoreList;
    }

    public Double getMarkerScore() {
        return markerScore;
    }

    public void setMarkerScore(Double markerScore) {
        this.markerScore = markerScore;
    }

    public Long getMarkerTime() {
        return markerTime;
    }

    public void setMarkerTime(Long markerTime) {
        this.markerTime = markerTime;
    }

    public Long getRejectUserId() {
        return rejectUserId;
    }

    public void setRejectUserId(Long rejectUserId) {
        this.rejectUserId = rejectUserId;
    }

    public Long getRejectTime() {
        return rejectTime;
    }

    public void setRejectTime(Long rejectTime) {
        this.rejectTime = rejectTime;
    }

    @Override
    public String toString() {
        return "MarkRejectHistory{" +
            "id=" + id +
            ", examId=" + examId +
            ", paperNumber=" + paperNumber +
            ", questionId=" + questionId +
            ", taskId=" + taskId +
            ", studentId=" + studentId +
            ", studentCode=" + studentCode +
            ", secretNumber=" + secretNumber +
            ", userId=" + userId +
            ", rejectReason=" + rejectReason +
            ", rejectScoreList=" + rejectScoreList +
            ", markerScoreList=" + markerScoreList +
            ", markerScore=" + markerScore +
            ", markerTime=" + markerTime +
            ", rejectUserId=" + rejectUserId +
            ", rejectTime=" + rejectTime +
        "}";
    }
}
