package com.qmth.teachcloud.mark.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.qmth.teachcloud.common.enums.mark.MarkProblemStatus;
import com.qmth.teachcloud.mark.dto.mark.manage.MarkProblemDto;
import com.qmth.teachcloud.mark.entity.MarkProblemHistory;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 问题卷历史表 Mapper 接口
 * </p>
 *
 * @author xf
 * @since 2023-09-22
 */
public interface MarkProblemHistoryMapper extends BaseMapper<MarkProblemHistory> {

    IPage<MarkProblemDto> pageProblem(@Param("page") Page<MarkProblemDto> page, @Param("examId") Long examId, @Param("paperNumber") String paperNumber, @Param("questionId") Long questionId, @Param("problemType") String problemType, @Param("status") String status, @Param("secretNumber") String secretNumber);

    Integer countByExamIdAndPaperNumberAndStatusAndClassNameIn(@Param("examId") Long examId, @Param("paperNumber") String paperNumber, @Param("status") MarkProblemStatus status, @Param("classNames") List<String> classNames);
}
