package com.qmth.teachcloud.mark.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.qmth.teachcloud.common.bean.dto.MarkTaskSmsDto;
import com.qmth.teachcloud.common.bean.dto.mark.MarkUser;
import com.qmth.teachcloud.common.entity.MarkQuestion;
import com.qmth.teachcloud.common.entity.SysUser;
import com.qmth.teachcloud.mark.dto.BasicMessageDto;
import com.qmth.teachcloud.mark.dto.mark.entrance.MarkEntranceDto;
import com.qmth.teachcloud.mark.dto.mark.manage.MarkQualityDto;
import com.qmth.teachcloud.mark.dto.mark.manage.MarkUserGroupProgressDto;
import com.qmth.teachcloud.mark.entity.MarkUserQuestion;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 评卷员表 Mapper 接口
 * </p>
 *
 * @author xf
 * @since 2023-09-22
 */
public interface MarkUserQuestionMapper extends BaseMapper<MarkUserQuestion> {

    IPage<MarkEntranceDto> listEntranceGroup(@Param("page") Page<MarkUserQuestion> page, @Param("examId") Long examId, @Param("openCollegeId") Long openCollegeId, @Param("courseId") Long courseId, @Param("paperNumber") String paperNumber, @Param("userId") Long userId, @Param("status") String status);

    List<MarkUser> listGroupUserByExamIdAndPaperNumberAndQuestionId(@Param("examId") Long examId, @Param("paperNumber") String paperNumber, @Param("questionId") Long questionId, @Param("className") String className);

    IPage<MarkUserGroupProgressDto> pageGroupUserByExamIdAndPaperNumberAndQuestionId(@Param("page") Page<MarkUserGroupProgressDto> page, @Param("examId") Long examId, @Param("paperNumber") String paperNumber, @Param("questionId") Long questionId, @Param("loginName") String loginName, @Param("className") String className, @Param("marked") Boolean marked);

    IPage<MarkQualityDto> pageQuality(@Param("page") Page<MarkQualityDto> page, @Param("examId") Long examId, @Param("paperNumber") String paperNumber, @Param("questionId") Long questionId, @Param("loginName") String loginName);

    int countByMarkTask(@Param("userId") Long userId, @Param("status") String status);

    void updateRejectCountByExamIdAndPaperNumberAndQuestionIdAndUserId(@Param("examId") Long examId, @Param("paperNumber") String paperNumber, @Param("questionId") Long questionId, @Param("userId") Long userId);

    List<SysUser> listDefaultMarkerByExamIdAndPaperNumber(@Param("examId") Long examId, @Param("paperNumber") String paperNumber);

    List<String> countClassByExamIdAndPaperNumberAndQuestionId(@Param("examId") Long examId, @Param("paperNumber") String paperNumber, @Param("questionId") Long questionId);

    List<MarkQuestion> listSubjectiveQuestionByUserId(@Param("examId") Long examId, @Param("paperNumber") String paperNumber, @Param("userId") Long userId);

    /**
     * 根据考试id&课程id&试卷编码查询待发送阅卷待办任务
     *
     * @param examId
     * @param courseId
     * @param paperNumber
     * @return
     */
    List<MarkTaskSmsDto> findMarkTaskSms(@Param("examId") Long examId, @Param("courseId") Long courseId, @Param("paperNumber") String paperNumber);

    /**
     * 短信count
     *
     * @param userId
     * @param mobileNumber
     * @param condition
     * @return
     */
    int smsConditionCount(@Param("userId") Long userId, @Param("mobileNumber") String mobileNumber, @Param("condition") String condition);

    /**
     * 插入短信消息
     *
     * @param basicMessageDto
     * @return
     */
    int insertSms(@Param("basicMessageDto") BasicMessageDto basicMessageDto);

    List<MarkUser> listUserByExamIdAndPaperNumber(@Param("examId") Long examId, @Param("paperNumber") String paperNumber);
}
