package com.qmth.teachcloud.mark.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.qmth.teachcloud.common.bean.dto.DataPermissionRule;
import com.qmth.teachcloud.mark.dto.ScanStudentDto;
import com.qmth.teachcloud.mark.entity.ScanOmrTask;
import com.qmth.teachcloud.mark.enums.OmrTaskStatus;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author xf
 * @since 2023-09-22
 */
public interface ScanOmrTaskMapper extends BaseMapper<ScanOmrTask> {

    List<Long> findUnMarked(@Param(value = "examId") Long examId,@Param(value = "coursePaperId")String coursePaperId,@Param(value = "pageNumber") int pageNumber,
                                   @Param(value = "pageSize") int pageSize, @Param(value = "status") OmrTaskStatus status,@Param("dpr") DataPermissionRule dpr);

    IPage<ScanStudentDto> listByExamIdAndStatusAndUserId(@Param("page") Page<ScanStudentDto> page,
                                                         @Param(value = "examId") Long examId,
                                                         @Param(value = "scanStatus") String scanStatus,
                                                         @Param("courseId") Long courseId,
                                                         @Param("coursePaperId") String coursePaperId,
                                                         @Param(value = "status") OmrTaskStatus status,
                                                         @Param("studentCodeOrName") String studentCodeOrName,
                                                         @Param("markPaperStatus") String markPaperStatus, @Param("dpr") DataPermissionRule dpr);

    int getStudentCountByExamAndStatusAndUserId(@Param(value = "examId") Long examId,@Param(value = "scanStatus") String scanStatus,
                                                @Param("courseId") Long courseId, @Param("coursePaperId") String coursePaperId, @Param(value = "status") String status, @Param("markPaperStatus") String markPaperStatus, @Param("dpr") DataPermissionRule dpr);

    int getStudentCountByExamAndStatusAndUserIdNew(@Param(value = "examId") Long examId,
                                                @Param("courseId") Long courseId, @Param("coursePaperId") String coursePaperId, @Param(value = "status") String status, @Param("markPaperStatus") String markPaperStatus, @Param("dpr") DataPermissionRule dpr,
                                                   @Param("teachClassName") String teachClassName);

    int countOmrTask(@Param("scanOmrTask") ScanOmrTask scanOmrTask, @Param("dpr") DataPermissionRule dpr);

}
