package com.qmth.teachcloud.mark.params;

import com.qmth.teachcloud.common.enums.mark.MarkProblemType;
import com.qmth.teachcloud.mark.dto.mark.SpecialTagDTO;
import com.qmth.teachcloud.mark.dto.mark.manage.TrackDTO;
import com.qmth.teachcloud.mark.entity.*;
import org.apache.commons.lang3.StringUtils;

import java.util.ArrayList;
import java.util.LinkedList;
import java.util.List;

/**
 * 标准评卷结果对象
 * 
 */
public class MarkResultQuestion {

    /**
     * 评卷任务编号
     */
    private Long taskId;

    /**
     * 题目ID
     */
    private Long questionId;

    private Integer mainNumber;
    private Integer subNumber;

    /**
     * 总分
     */
    private double markerScore;

    /**
     * 阅卷轨迹列表
     */
    private TrackDTO[] markerTrackList;

    /**
     * 特殊标记列表
     */
    private SpecialTagDTO[] markerTagList;

    /**
     * 所花时间
     */
    private int spent;

    /**
     * 是否问题卷
     */
    private boolean problem;

    /**
     * 问题类型
     */
    private MarkProblemType problemType;
    
    /**
     * 问题卷备注
     */
    private String problemRemark;


    public Long getTaskId() {
        return taskId;
    }

    public void setTaskId(Long taskId) {
        this.taskId = taskId;
    }

    public Long getQuestionId() {
        return questionId;
    }

    public void setQuestionId(Long questionId) {
        this.questionId = questionId;
    }

    public Integer getMainNumber() {
        return mainNumber;
    }

    public void setMainNumber(Integer mainNumber) {
        this.mainNumber = mainNumber;
    }

    public Integer getSubNumber() {
        return subNumber;
    }

    public void setSubNumber(Integer subNumber) {
        this.subNumber = subNumber;
    }

    public double getMarkerScore() {
        return markerScore;
    }

    public void setMarkerScore(double markerScore) {
        this.markerScore = markerScore;
    }

    public TrackDTO[] getMarkerTrackList() {
        return markerTrackList;
    }

    public void setMarkerTrackList(TrackDTO[] markerTrackList) {
        this.markerTrackList = markerTrackList;
    }

    public SpecialTagDTO[] getMarkerTagList() {
        return markerTagList;
    }

    public void setMarkerTagList(SpecialTagDTO[] markerTagList) {
        this.markerTagList = markerTagList;
    }

    public List<MarkHeaderTrack> getTrackList(MarkArbitrateHistory history) {
        List<MarkHeaderTrack> list = new LinkedList<>();
        if (markerTrackList != null) {
            for (TrackDTO dto : markerTrackList) {
                list.add(dto.transform(history));
            }
        }
        return list;
    }

    public List<MarkTrack> getTrackList(MarkTask markTask, Long userId) {
        List<MarkTrack> list = new LinkedList<>();
        if (markerTrackList != null) {
            for (TrackDTO dto : markerTrackList) {
                list.add(dto.transform(markTask, userId));
            }
        }
        return list;
    }

    public List<MarkHeaderTag> getHeaderTagList(MarkArbitrateHistory library) {
        List<MarkHeaderTag> list = new LinkedList<>();
        if (markerTagList != null) {
            for (SpecialTagDTO dto : markerTagList) {
                list.add(dto.transform(library));
            }
        }
        return list;
    }

    public List<MarkSpecialTag> getSpecialTagList(MarkTask markTask) {
        List<MarkSpecialTag> list = new LinkedList<>();
        if (markerTagList != null) {
            for (SpecialTagDTO dto : markerTagList) {
                list.add(dto.transform(markTask));
            }
        }
        return list;
    }

    public boolean isProblem() {
        return problem;
    }

    public void setProblem(boolean problem) {
        this.problem = problem;
    }


    public MarkProblemType getProblemType() {
		return problemType;
	}

	public void setProblemType(MarkProblemType problemType) {
		this.problemType = problemType;
	}

	public String getProblemRemark() {
		return problemRemark;
	}

	public void setProblemRemark(String problemRemark) {
		this.problemRemark = problemRemark;
	}

    public int getSpent() {
        return spent;
    }

    public void setSpent(int spent) {
        this.spent = spent;
    }
}
