package com.qmth.teachcloud.mark.service;

import com.github.jeffreyning.mybatisplus.service.IMppService;
import com.qmth.teachcloud.mark.bean.archivescore.QuestionVo;
import com.qmth.teachcloud.mark.bean.dto.MarkAreaDto;
import com.qmth.teachcloud.mark.entity.MarkSubjectiveScore;

import java.util.List;
import java.util.Set;

/**
 * <p>
 * 主观题得分明细表 服务类
 * </p>
 *
 * @author xf
 * @since 2023-09-22
 */
public interface MarkSubjectiveScoreService extends IMppService<MarkSubjectiveScore> {

    MarkSubjectiveScore getByStudentIdAndQuestionId(Long studentId, Long questionId);

    Set<Integer> listMainNumberByStudentIdAndUncalculate(Long studentId, boolean uncalculate);

    List<MarkSubjectiveScore> listByStudentIdAndUncalculate(Long studentId, boolean uncalculate);

    void deleteByStudentId(Long studentId);

    List<QuestionVo> getSubjectiveVo(List<Long> studentIds);

    List<MarkSubjectiveScore> listByStudentId(Long studentId);

    void updateRejected(Long studentId, Long questionId, boolean rejectd);

    long countByStudentId(Long studentId);

    void deleteByExamIdAndPaperNumberAndQuestionId(Long examId, String paperNumber, Long questionId);

    /**
     * 根据学生id和考试id以及试卷编码查询
     *
     * @param studentId
     * @param examId
     * @param paperNumber
     * @return
     */
    List<MarkSubjectiveScore> listByStudentIdAndExamIdAndPn(Long studentId, Long examId, String paperNumber);

    /**
     * 根据学生id查找评卷区
     *
     * @param studentId
     * @return
     */
    List<MarkAreaDto> findMarkArea(Long studentId);

    void deleteByStudentIdAndQuestionId(Long studentId, Long questionId);
}
