package com.qmth.teachcloud.mark.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.teachcloud.common.bean.marking.CardJpgResult;
import com.qmth.teachcloud.common.enums.ExamModelEnum;
import com.qmth.teachcloud.mark.bean.UriVo;
import com.qmth.teachcloud.mark.bean.answercard.AnswerCardSaveDomain;
import com.qmth.teachcloud.mark.bean.answercard.AnswerCardVo;
import com.qmth.teachcloud.mark.entity.ScanAnswerCard;
import com.qmth.teachcloud.mark.enums.CardSource;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * <p>
 * 题卡卡格式表 服务类
 * </p>
 *
 * @author xf
 * @since 2023-09-22
 */
public interface ScanAnswerCardService extends IService<ScanAnswerCard> {

    ScanAnswerCard findByExamAndNumber(Long examId, Integer cardNumber);

    List<AnswerCardVo> cardList(Long examId, String coursePaperId);

    ScanAnswerCard cardSave(AnswerCardSaveDomain domain);

    Integer findMaxCardNumberByExamId(Long examId);

    void cardDelete(ScanAnswerCard card);

    UriVo adapteUpload(Long examId, String coursePaperId, Integer cardNumber, String md5, Integer dpi,
                       MultipartFile file, String remark);

    AnswerCardVo cardGet(Long examId, Integer number);

    List<ScanAnswerCard> getByExamIdAndCoursePaperIdAndSerialNumberAndCardId(Long examId, String coursePaperId, Integer serialNumber, Long cardId);

    List<ScanAnswerCard> listByExamIdAndPaperNumber(Long examId, String paperNumber);

    void deleteByExamIdAndPaperNumber(Long examId, String paperNumber);

    List<CardJpgResult> listPageImage(Long examId, String paperNumber);

    List<ScanAnswerCard> listByExamIdAndCoursePaperIdAndSource(Long examId, String coursePaperId, CardSource source);

    AnswerCardVo cardCopy(Long examId, Integer number, String remark);

    /**
     * 根据examId和cardId以及cardSource获取扫描题卡
     *
     * @param examId
     * @param cardId
     * @param source
     * @return
     */
    List<ScanAnswerCard> findByExamAndCardIdAndCardSource(Long examId, Long cardId, CardSource source);

    String getCardContentByCardId(Long cardId, ExamModelEnum examModel);
}
