package com.qmth.teachcloud.mark.service;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.teachcloud.common.bean.dto.DataPermissionRule;
import com.qmth.teachcloud.common.enums.mark.MarkPaperStatus;
import com.qmth.teachcloud.common.enums.scan.ConditionType;
import com.qmth.teachcloud.mark.dto.*;
import com.qmth.teachcloud.mark.entity.MarkStudent;
import com.qmth.teachcloud.mark.entity.ScanOmrTask;
import com.qmth.teachcloud.mark.enums.OmrTaskStatus;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author xf
 * @since 2023-09-22
 */
public interface ScanOmrTaskService extends IService<ScanOmrTask> {
	
	List<ScanOmrTask> buildTask(@Param("c") ConditionType c, @Param("studentId") Long studentId);

	ScanOmrStudent getTask(Long examId,String coursePaperId, Long userId);

	ScanOmrTaskSaveDto submitTask(List<ScanOmrTaskResultDto> result, Long userId);

	ScanOmrTaskStatusDto getStatus(Long examId, Long courseId, String coursePaperId);

	int getFinishStudentCountByExamAndUserId(Long examId, Long courseId, String coursePaperId, String status,DataPermissionRule dpr);

    int getFinishStudentCountByExamAndUserId(Long examId, Long courseId, String coursePaperId, String status,DataPermissionRule dpr,String teachClassName);

    void deleteByStudentId(Long examId, Long studentId);
    void deleteByStudentIds(Long examId, List<Long> studentIds);

	int getCount(Long examId, OmrTaskStatus status, String courseCode, String coursePaperId, MarkPaperStatus markPaperStatus, DataPermissionRule dpr);

	IPage<ScanStudentDto> list(Long examId, Long courseId, String coursePaperId, OmrTaskStatus status, String studentCodeOrName, Integer pageNumber, Integer pageSize);

	void saveTask(Long studentId);

    int getStudentTaskCount(Long studentId, OmrTaskStatus status);

	void releaseByUser(Long examId, Long userId);

	boolean apply(MarkStudent t, Long userId);

	void releaseByTask(MarkStudent t);

	boolean hasApplied(MarkStudent t, Long userId);

	ScanOmrStudent getTask(Long examId, Long userId, Long studentId);
}
