package com.qmth.teachcloud.mark.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.teachcloud.mark.entity.MarkAiQuestionLevel;
import com.qmth.teachcloud.mark.mapper.MarkAiQuestionLevelMapper;
import com.qmth.teachcloud.mark.service.MarkAiQuestionLevelService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * AI评卷得分明细表 服务实现类
 * </p>
 *
 * @author wangliang
 * @since 2025-04-10
 */
@Service
public class MarkAiQuestionLevelServiceImpl extends ServiceImpl<MarkAiQuestionLevelMapper, MarkAiQuestionLevel> implements MarkAiQuestionLevelService {

    @Override
    public List<MarkAiQuestionLevel> listByAiQuestionId(Long id) {
        QueryWrapper<MarkAiQuestionLevel> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(MarkAiQuestionLevel::getAiQuestionId, id);
        return this.list(queryWrapper);
    }
}
