package com.qmth.teachcloud.mark.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.teachcloud.mark.entity.MarkAiQuestionPoint;
import com.qmth.teachcloud.mark.mapper.MarkAiQuestionPointMapper;
import com.qmth.teachcloud.mark.service.MarkAiQuestionPointService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * AI评卷得分明细表 服务实现类
 * </p>
 *
 * @author wangliang
 * @since 2025-04-10
 */
@Service
public class MarkAiQuestionPointServiceImpl extends ServiceImpl<MarkAiQuestionPointMapper, MarkAiQuestionPoint> implements MarkAiQuestionPointService {

    @Override
    public List<MarkAiQuestionPoint> listByAiQuestionId(Long id) {
        QueryWrapper<MarkAiQuestionPoint> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(MarkAiQuestionPoint::getAiQuestionId, id);
        return this.list(queryWrapper);
    }
}
