package com.qmth.teachcloud.mark.service.impl;

import java.util.List;

import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.qmth.teachcloud.mark.entity.MarkTask;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.teachcloud.mark.bean.archivescore.ScoreHistoryVo;
import com.qmth.teachcloud.mark.entity.MarkHeaderHistory;
import com.qmth.teachcloud.mark.mapper.MarkHeaderHistoryMapper;
import com.qmth.teachcloud.mark.service.MarkHeaderHistoryService;

/**
 * <p>
 * 复核历史表 服务实现类
 * </p>
 *
 * @author xf
 * @since 2025-02-21
 */
@Service
public class MarkHeaderHistoryServiceImpl extends ServiceImpl<MarkHeaderHistoryMapper, MarkHeaderHistory> implements MarkHeaderHistoryService {

    @Override
    public List<ScoreHistoryVo> findByExamIdAndPaperNumber(Long examId, String paperNumber) {
        return this.baseMapper.findByExamIdAndPaperNumber(examId, paperNumber);
    }

    @Override
    public void deleteByStudentIdAndQuestionId(Long studentId, Long questionId) {
        UpdateWrapper<MarkHeaderHistory> updateWrapper = new UpdateWrapper<>();
        updateWrapper.lambda().eq(MarkHeaderHistory::getStudentId, studentId)
                .eq(MarkHeaderHistory::getQuestionId, questionId);
        this.remove(updateWrapper);
    }
}
