package com.qmth.teachcloud.mark.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.teachcloud.mark.entity.MarkOcrStudentQuestion;
import com.qmth.teachcloud.mark.mapper.MarkOcrStudentQuestionMapper;
import com.qmth.teachcloud.mark.service.MarkOcrStudentQuestionService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 考生主观题小题OCR识别结果 服务实现类
 * </p>
 *
 * @author xf
 * @since 2025-04-10
 */
@Service
public class MarkOcrStudentQuestionServiceImpl extends ServiceImpl<MarkOcrStudentQuestionMapper, MarkOcrStudentQuestion> implements MarkOcrStudentQuestionService {

    @Override
    public List<MarkOcrStudentQuestion> listByStudentIdAndQuestionId(Long studentId, Long questionId) {
        QueryWrapper<MarkOcrStudentQuestion> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(MarkOcrStudentQuestion::getStudentId, studentId)
                .eq(MarkOcrStudentQuestion::getQuestionId, questionId)
                .orderByAsc(MarkOcrStudentQuestion::getNumber);
        return this.list(queryWrapper);
    }
}
