package com.qmth.teachcloud.mark.service.impl;

import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.teachcloud.common.entity.MarkQuestion;
import com.qmth.teachcloud.mark.dto.mark.manage.MarkRejectHistoryDto;
import com.qmth.teachcloud.mark.entity.MarkRejectHistory;
import com.qmth.teachcloud.mark.mapper.MarkRejectHistoryMapper;
import com.qmth.teachcloud.mark.service.MarkQuestionService;
import com.qmth.teachcloud.mark.service.MarkRejectHistoryService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author xf
 * @since 2024-08-22
 */
@Service
public class MarkRejectHistoryServiceImpl extends ServiceImpl<MarkRejectHistoryMapper, MarkRejectHistory> implements MarkRejectHistoryService {

    @Resource
    private MarkQuestionService markQuestionService;

    @Override
    public IPage<MarkRejectHistoryDto> pageRejectHistory(Long examId, String paperNumber, Long questionId, String loginName, String studentCode, String secretNumber, String teachClassName, Integer pageNumber, Integer pageSize) {
        IPage<MarkRejectHistoryDto> rejectHistoryDtoIPage = this.baseMapper.pageRejectHistory(new Page<>(pageNumber, pageSize), examId, paperNumber, questionId, loginName, studentCode, secretNumber, teachClassName);
        for (MarkRejectHistoryDto record : rejectHistoryDtoIPage.getRecords()) {
            // 分组题目
            MarkQuestion markQuestion = markQuestionService.getById(record.getQuestionId());
            record.setQuestionNumber(markQuestion.getQuestionNumber());
        }
        return rejectHistoryDtoIPage;
    }

    @Override
    public void deleteByExamIdAndPaperNumberAndQuestionId(Long examId, String paperNumber, Long questionId) {
        UpdateWrapper<MarkRejectHistory> updateWrapper = new UpdateWrapper<>();
        updateWrapper.lambda().eq(MarkRejectHistory::getExamId, examId)
                .eq(MarkRejectHistory::getPaperNumber, paperNumber)
                .eq(MarkRejectHistory::getQuestionId, questionId);
        this.remove(updateWrapper);
    }

    @Override
    public void deleteByTaskId(Long taskId) {
        UpdateWrapper<MarkRejectHistory> updateWrapper = new UpdateWrapper<>();
        updateWrapper.lambda().eq(MarkRejectHistory::getTaskId, taskId);
        this.remove(updateWrapper);
    }

}
