package com.qmth.teachcloud.task.job;

import com.qmth.teachcloud.task.job.service.JobService;
import org.quartz.DisallowConcurrentExecution;
import org.quartz.JobExecutionContext;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.scheduling.quartz.QuartzJobBean;

import javax.annotation.Resource;

/**
 * @Description: pdf自动生成任务
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2025/2/27
 */
@DisallowConcurrentExecution//串行执行
public class CreatePdfTaskJob extends QuartzJobBean {
    private final static Logger log = LoggerFactory.getLogger(CreatePdfTaskJob.class);

    @Resource
    JobService jobService;

    @Override
    protected void executeInternal(JobExecutionContext jobExecutionContext) {
        try {
            jobService.createPdfTask();
//            jobExecutionContext.setResult("最后执行时间：" + DateUtil.format(new Date(), SystemConstant.DEFAULT_DATE_PATTERN));
        } catch (InterruptedException e) {
            e.printStackTrace();
        }
    }
}
