package com.qmth.teachcloud.task.job;

import com.qmth.teachcloud.common.contant.SystemConstant;
import com.qmth.teachcloud.task.job.service.JobService;
import org.apache.commons.lang3.StringUtils;
import org.quartz.JobDetail;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.quartz.Trigger;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.scheduling.quartz.QuartzJobBean;

import javax.annotation.Resource;

/**
 * 数据同步
 */
public class DataSyncJob extends QuartzJobBean {
    private final static Logger log = LoggerFactory.getLogger(DataSyncJob.class);

    @Resource
    JobService jobService;

    @Override
    protected void executeInternal(JobExecutionContext jobExecutionContext) throws JobExecutionException {
        try {
            String name = jobExecutionContext.getJobDetail().getKey().getName();
            if (StringUtils.isNotBlank(name)) {
                String[] names = name.split("-");
                if (names.length > 2) {
                    // 传入学校ID、考试ID
                    jobService.sentDataSync(names[names.length - 2], names[names.length - 1]);
                }
            }
        } catch (Exception e) {
            log.error(SystemConstant.LOG_ERROR, e);
        }
    }
}
